summaryrefslogtreecommitdiff
path: root/ci/travis.sh
diff options
context:
space:
mode:
authorAdriaan de Groot <groot@kde.org>2017-10-25 05:26:04 -0400
committerAdriaan de Groot <groot@kde.org>2017-10-25 05:26:04 -0400
commit99858242fb75c1a5afb1fda371b12b2633f688bb (patch)
treeb08e8c73d0e4968aeb1ed99f8a1750778cb698cd /ci/travis.sh
parentebb03316729f8f589397ff532c75c1e4797c866d (diff)
CI: Replace Jenkins-oriented scripts with Travis-oriented ones
Diffstat (limited to 'ci/travis.sh')
-rwxr-xr-xci/travis.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/ci/travis.sh b/ci/travis.sh
new file mode 100755
index 000000000..c8ac49f5d
--- /dev/null
+++ b/ci/travis.sh
@@ -0,0 +1,19 @@
+#! /bin/sh
+#
+# Travis build driver script:
+# - the regular CI runs, triggered by commits, run a script that builds
+# and installs calamares, and then runs the tests.
+# - the cronjob CI runs, triggered weekly, run a script that uses the
+# coverity tools to submit a build. This is slightly more resource-
+# intensive than the coverity add-on, but works on master.
+#
+D=`dirname "$0"`
+test -d "$D" || exit 1
+test -x "$D/travis-continuous.sh" || exit 1
+test -x "$D/travis-coverity.sh" || exit 1
+
+if test "$TRAVIS_EVENT_TYPE" = "cron" ; then
+ exec "$D/travis-coverity.sh"
+else
+ exec "$D/travis-continuous.sh"
+fi